# Interface methods for submodule: SegmentationLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SparseFieldLevelSetImageFilterProxy as _SparseFieldLevelSetImageFilterProxy


# Interface methods for class: SegmentationLevelSetImageFilter
class SegmentationLevelSetImageFilterProxy(_SparseFieldLevelSetImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetMaximumIterations(self, i: int) -> None:
		""""""
		...

	def GetMaximumIterations(self) -> int:
		""""""
		...

	def SetFeatureImage(self, f) -> None:
		""""""
		...

	def GetFeatureImage(self):
		""""""
		...

	def SetInitialImage(self, _arg) -> None:
		""""""
		...

	def GetInitialImage(self):
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

	def SetSpeedImage(self, s) -> None:
		""""""
		...

	def SetAdvectionImage(self, v) -> None:
		""""""
		...

	def GetSpeedImage(self):
		""""""
		...

	def GetAdvectionImage(self):
		""""""
		...

	def SetUseNegativeFeaturesOn(self) -> None:
		""""""
		...

	def SetUseNegativeFeaturesOff(self) -> None:
		""""""
		...

	def SetUseNegativeFeatures(self, u: bool) -> None:
		""""""
		...

	def GetUseNegativeFeatures(self) -> bool:
		""""""
		...

	def SetReverseExpansionDirection(self, _arg: bool) -> None:
		""""""
		...

	def GetReverseExpansionDirection(self) -> bool:
		""""""
		...

	def ReverseExpansionDirectionOn(self) -> None:
		""""""
		...

	def ReverseExpansionDirectionOff(self) -> None:
		""""""
		...

	def SetAutoGenerateSpeedAdvection(self, _arg: bool) -> None:
		""""""
		...

	def GetAutoGenerateSpeedAdvection(self) -> bool:
		""""""
		...

	def AutoGenerateSpeedAdvectionOn(self) -> None:
		""""""
		...

	def AutoGenerateSpeedAdvectionOff(self) -> None:
		""""""
		...

	def SetFeatureScaling(self, v: float) -> None:
		""""""
		...

	def SetPropagationScaling(self, v: float) -> None:
		""""""
		...

	def GetPropagationScaling(self) -> float:
		""""""
		...

	def SetAdvectionScaling(self, v: float) -> None:
		""""""
		...

	def GetAdvectionScaling(self) -> float:
		""""""
		...

	def SetCurvatureScaling(self, v: float) -> None:
		""""""
		...

	def GetCurvatureScaling(self) -> float:
		""""""
		...

	def SetUseMinimalCurvature(self, b: bool) -> None:
		""""""
		...

	def GetUseMinimalCurvature(self) -> bool:
		""""""
		...

	def UseMinimalCurvatureOn(self) -> None:
		""""""
		...

	def UseMinimalCurvatureOff(self) -> None:
		""""""
		...

	def SetSegmentationFunction(self, s) -> None:
		""""""
		...

	def GetSegmentationFunction(self):
		""""""
		...

	def SetMaximumCurvatureTimeStep(self, n: float) -> None:
		""""""
		...

	def GetMaximumCurvatureTimeStep(self) -> float:
		""""""
		...

	def SetMaximumPropagationTimeStep(self, n: float) -> None:
		""""""
		...

	def GetMaximumPropagationTimeStep(self) -> float:
		""""""
		...

	def GenerateSpeedImage(self) -> None:
		""""""
		...

	def GenerateAdvectionImage(self) -> None:
		""""""
		...

